## runescape 0.2

=== Makefile ===
PACKAGE = Runescape
VERSION = 0.2
EXE = runescape

SRCDIR = src
PREFIX = $(DESTDIR)/usr
GAMEDIR = $(PREFIX)/games
STARTUP = $(GAMEDIR)/$(EXE)
ICNDIR = $(PREFIX)/share/pixmaps
APPDIR = $(PREFIX)/share/applications

SCRIPT = runescape.sh
ICON = runescape.png
DESKTOP = runescape.desktop

CP = cp -r
RM = rm -r
MD = mkdir -p
ECHO = echo
CHMOD = chmod 755 -R

all:
	@$(CP) "$(SRCDIR)/$(SCRIPT)" "$(EXE)"
	@$(CHMOD) "$(EXE)"
	@$(ECHO) "Created executable script successfully"

clean:
	rm -f runescape
	@$(ECHO) "Removed script executable successfully"

install: all
	@$(ECHO) "Copying executable script to directory $(GAMEDIR)"
	@$(MD) "$(GAMEDIR)"
	@$(CP) "$(EXE)" "$(GAMEDIR)"
	@$(ECHO) "Copying files in application menu entry"
	@$(MD) "$(ICNDIR)"
	@$(CP) "$(SRCDIR)/$(ICON)" "$(ICNDIR)"
	@$(MD) "$(APPDIR)"
	@$(CP) "$(SRCDIR)/$(DESKTOP)" "$(APPDIR)"
	@$(ECHO) "Installed the files successfully"

uninstall: clean
	@$(ECHO) "Removing files application menu entry"
	@$(RM) "$(STARTUP)"
	@$(RM) "$(ICNDIR)/$(ICON)" "$(APPDIR)/$(DESKTOP)"
	@$(ECHO) "Successfully removed"

.PHONY: all clean install uninstall

## runescape 0.1

=== debian/changelog ===
runescape (0.1-4) unstable; urgency=medium

  * debian/control:
    - Change maintainer Debian Games Team.
    - Add myself as Uploader.
    - Move Vcs URLs to pkg-games.

 -- Carlos Donizete Froes <coringao@riseup.net>  Thu, 25 Aug 2016 00:53:45 -0300

runescape (0.1-3) unstable; urgency=medium

  * No-change rebuild because non-free is not autobuilt.

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 19 Jul 2016 09:55:07 +0200

runescape (0.1-2) unstable; urgency=medium

  * debian/control: changed architecture 'any' to 'all'

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 19 Jul 2016 02:36:44 -0300

runescape (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #789461)

 -- Carlos Donizete Froes <coringao@riseup.net>  Sat, 16 Jul 2016 22:00:00 -0300

=== debian/control ===
Source: runescape
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Carlos Donizete Froes <coringao@riseup.net>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.8
Homepage: https://www.runescape.com
Vcs-Git: https://anonscm.debian.org/git/pkg-games/runescape.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/runescape.git

Package: runescape
Architecture: all
Depends: default-jre, p7zip-full, zenity, ${misc:Depends}
Description: Multiplayer online game set in a fantasy world
 Explore in an open and mysterious world with ravaged landscapes
 and sinister powers.
 .
 Having chosen an adventurer, players are free to find their role
 within it: to live by the sword and spells facing hundreds
 of enemies, to further the storyline in quests, or to train
 in any of a number of skills.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,filenamemangle=s/.+\/(\d\S*)\.tar\.gz/runescape-$1\.tar\.gz/ \
  https://github.com/coringao/runescape/tags .*/(\d\S*)\.tar\.gz

## runescape 0.2

=== debian/changelog ===
runescape (0.2-1) unstable; urgency=medium

  * New upstream release (Closes: #866227, #879784)
  * Switch to compat level 10
  * debian/control:
    + Changed homepage link
    + Bump debhelper compat to 10
    + Declare compliance with Debian Policy: 4.1.1
  * Fixed d/upstream/metadata
  * Fixed d/watch
  * Updated d/copyright
  * Added autopkgtest

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 29 Oct 2017 21:35:55 -0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.8
-Homepage: https://www.runescape.com
+Build-Depends: debhelper (>=10)
+Standards-Version: 4.1.1
+Homepage: https://github.com/coringao/runescape/wiki
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/runescape.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/runescape.git

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
	https://github.com/coringao/runescape/releases .*/(\d\S+)\.tar\.gz

## runescape 0.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-PACKAGE = Runescape
-VERSION = 0.2
+PACKAGE = Old School Runescape
+VERSION = 0.5
 EXE = runescape
 
 SRCDIR = src

=== debian/changelog ===
runescape (0.5-1) unstable; urgency=medium

  * New upstream release (Closes: #922083, #922084, #922087)
  * Switch to compat level 12
  * debian/control:
    + Declare compliance with Debian Policy 4.3.0
    - Removed 'p7zip-full' and 'zenity' in Depends
    + Added 'wget' in Depends
  * Updated name and copyright years in d/upstream/metadata
  * Updated d/watch file

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 12 Feb 2019 20:03:52 -0200

runescape (0.4-1) unstable; urgency=medium

  * New upstream release
  * Removed manpage from debian directory
  * debian/control:
    + Bump debhelper compat to 11
    + Declare compliance with Debian Policy: 4.2.1
    + Switch Vcs URLs to salsa.debian.org
  * Updated information in debian/upstream/metadata
  * Updated and added the disclaimer in d/copyright
  * Updated d/watch file. Upstream moved to GitLab.
  * Removed autopkgtest considered an unfair or unjustified advantage.

 -- Carlos Donizete Froes <coringao@riseup.net>  Fri, 07 Sep 2018 19:04:56 -0300

=== debian/control ===
Source: runescape
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Carlos Donizete Froes <coringao@riseup.net>
Build-Depends: debhelper (>=12)
Standards-Version: 4.3.0
Homepage: https://oldschool.runescape.com
Vcs-Git: https://salsa.debian.org/games-team/runescape.git
Vcs-Browser: https://salsa.debian.org/games-team/runescape

Package: runescape
Architecture: all
Depends: default-jre, wget, ${misc:Depends}
Description: Multiplayer online game set in a fantasy world
 Explore in an open and mysterious world with ravaged landscapes
 and sinister powers.
 .
 Having chosen an adventurer, players are free to find their role
 within it: to live by the sword and spells facing hundreds
 of enemies, to further the storyline in quests, or to train
 in any of a number of skills.

## runescape 0.6

=== debian/changelog ===
runescape (0.6-2) unstable; urgency=medium

  * debian/control:
    + Bumped Standards-Version to 4.4.1.
    + Set Rules-Requires-Root to no.
  * debian/copyright:
    + Added copyright information for contact.

 -- Carlos Donizete Froes <coringao@riseup.net>  Mon, 04 Nov 2019 22:00:35 -0300

runescape (0.6-1) unstable; urgency=medium

  * New upstream release

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 18 Aug 2019 16:16:20 -0300

runescape (0.5-2) unstable; urgency=medium

  * Using new DH level format. Consequently:
    - debian/compat: removed.
    + debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 12.
  * debian/control:
    + Bumped Standards-Version to 4.4.0.
    + Added the XS-Autobuild: yes header.
  * debian/copyright:
    + Added a note about autobuilding.

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 23 Jul 2019 18:53:02 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: debhelper (>=12)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+XS-Autobuild: yes
 Homepage: https://oldschool.runescape.com
 Vcs-Git: https://salsa.debian.org/games-team/runescape.git
 Vcs-Browser: https://salsa.debian.org/games-team/runescape

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://gitlab.com/coringao/runescape/tags \
  .*/runescape-(\d\S+)\.(?:tar\.(?:gz|bz2))

## runescape 0.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 PACKAGE = Old School Runescape
-VERSION = 0.5
 EXE = runescape
 
 SRCDIR = src

=== debian/changelog ===
runescape (0.8-2) unstable; urgency=medium

  * Team upload.
  * No-change rebuild so that runescape can migrate to testing. Although
    auto-building is enabled in debian/control, the package is not
    whitelisted on buildd. non-free@buildd.debian.org did not respond
    to queries. See also
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=953487#49.
    (Closes: #953487)

 -- Markus Koschany <apo@debian.org>  Fri, 29 May 2020 22:32:47 +0200

runescape (0.8-1) unstable; urgency=medium

  * New upstream release:
    - New redistributable icon, generated by the author (Closes: #956275);
    - Verify the download against a known hash, and warn the user about the
      purpose of the launcher (Closes: #956276).
  * debian/control:
    + Added in Depends: kdialog | zenity, java10-runtime, p7zip-full.
    - Removed in Build-Depends: default-jdk-headless | default-jdk.
    - Removed in Depends: default-jre-headless.
    + Long description with more details improved.
  * Added debian/docs.
  * debian/tests/control:
    + Added in Depends: kdialog | zenity, java10-runtime, p7zip-full.
    - Removed in Depends: default-jre-headless.
  * debian/watch: Fixed the requested URL in the uscan information.

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 21 Apr 2020 18:24:34 -0300

runescape (0.7-1) unstable; urgency=medium

  * New upstream release. (Closes: #953487, #953714)
  * debian/control:
    + Bumped Standards-Version to 4.5.0.
    + Added in Build-Depends: default-jdk-headless | default-jdk.
    + Added in Depends: default-jre-headless.
  * Added autopkgtest.
  * debian/copyright:
    + Copyright information organized for contacts.
    + Copyright updated for current years (2020).
  * Update debian/upstream/metadata years (2020).

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 15 Mar 2020 16:52:37 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 XS-Autobuild: yes
 Homepage: https://oldschool.runescape.com
@@ -13,10 +13,24 @@
 
 Package: runescape
 Architecture: all
-Depends: default-jre, wget, ${misc:Depends}
+Depends: default-jre | java10-runtime,
+         kdialog | zenity,
+         p7zip-full,
+         wget,
+         ${misc:Depends}
 Description: Multiplayer online game set in a fantasy world
- Explore in an open and mysterious world with ravaged landscapes
- and sinister powers.
+ This software is a simple script that downloads and runs
+ the Old School Runescape client file on unofficial GNU/Linux distributions.
+ .
+ The game works on several different platforms (supported or not by Jagex)
+ using Java installed on the system, avoiding common risks encountered
+ by players using a web browser.
+ .
+ After downloading the official client file, the script will prepare the sandbox
+ environment located in "$HOME/.local/share/runescape" and run the game.
+ .
+ About the game, you will explore in an open and mysterious world,
+ with devastated landscapes and sinister powers.
  .
  Having chosen an adventurer, players are free to find their role
  within it: to live by the sword and spells facing hundreds

=== debian/tests/control ===
Test-Command: bash -x runescape 2>&1
Depends: default-jre | java10-runtime, kdialog | zenity, p7zip-full, wget, @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://gitlab.com/coringao/runescape/-/tags \
  .*/runescape-(\d\S+)\.(?:tar\.(?:gz|bz2))
